
QGIS Application - Feature request #2369

Cannot change column for existing graduated (or categorized) symbology

2010-01-14 09:30 PM - sowelu -

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Pull Request or Patch supplied: Resolution: fixed

Easy fix?: No Copied to github as #: 12429

Description

Once a layer has been classified (or categorized I think), you cannot change which column the classification applies to. It is common to

want to use the same categories or ranges (with your custom symbols) on different types of data, or to load a previously saved set of

ranges with symbols and apply them to a new layer with different column names.

History

#1 - 2010-02-08 09:40 PM - Chris Crook

Also found this is a problem.  Looks like it was considered in the code (there are commented out connections signals when the data columns is changed,

though there is no corresponding slot coded that I can see (qgsgraduatedsymbolrendererv2widget.cpp).

I think that this is a necessary use-case - setting up classification ranges and symbology can take significant user input and it is reasonable to want to

change the symbology to use a different columns (typically in a cross-tab type data set, with columns for a number of different, equivalent items)

Currently workaround is to save the project, edit the column name in the .qgs project file, and reload.

#2 - 2010-02-12 10:02 AM - Martin Dobias

- Resolution set to fixed

- Status changed from Open to Closed

Fixed in commit:1b575f1d (SVN r12940) (commit message claims it fixes #2422 but that's a typo)
